Subject: bug#36380: service urandom-seed takes too long on boot

From: Leo Famulari <[email-masked]>
Date: Thu, 27 Jun 2019 15:03:14 -0400

On Thu, Jun 27, 2019 at 05:20:21PM +0200, Ludovic Courtès wrote:
> We had a “bug report” at
> <https://distrowatch.com/weekly.php?issue=20190624#guixsd>, which may be
> due to the same issue:
> 
>   The first time I loaded Guix the boot process took an unusually long
>   time.  At one point the system appeared to lock up for about five
>   minutes before continuing.  In the end, from boot menu to graphical
>   login screen, the start-up time totalled about ten minutes.

Perhaps, but if the reason for the slowness on their first boot was a
suboptimal /dev/hwrng source, I would expect it to be equally slow for
each boot, since we unconditionally read 64 bytes each time.

However, their next sentence says, "Curiously, after the first boot,
Guix started up considerably faster, generally taking less than a minute
to arrive at the login screen."

They are using an old machine with a spinning disk, so who knows...